libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

atsc_table_mgt Struct Reference
Digital TV table parsing

ATSC MGT table. More...

`#include <mgt.h>`

## Data Fields
struct dvb_table_header | header
uint8_t | protocol_version
uint16_t | tables
struct atsc_table_mgt_table * | table
struct dvb_desc * | descriptor

## Detailed Description

ATSC MGT table.

Parameters

  header | struct dvb_table_header content
  protocol_version | protocol version
  tables | tables_defined Number of tables defined
  table | pointer to struct atsc_table_mgt_table
  descriptor | pointer to struct dvb_desc

This structure is used to store the original MGT channel table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after atsc_table_mgt::table (including it) won't be bit-mapped * to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 122 of file mgt.h.

## Field Documentation

## ◆ descriptor

struct dvb_desc* atsc_table_mgt::descriptor

Definition at line 127 of file mgt.h.

## ◆ header

struct dvb_table_header atsc_table_mgt::header

Definition at line 123 of file mgt.h.

## ◆ protocol_version

uint8_t atsc_table_mgt::protocol_version

Definition at line 124 of file mgt.h.

## ◆ table

struct atsc_table_mgt_table* atsc_table_mgt::table

Definition at line 126 of file mgt.h.

## ◆ tables

uint16_t atsc_table_mgt::tables

Definition at line 125 of file mgt.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mgt.h